Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Running Junit suite with Junit5 version in eclipse oxygen, throwing, "No Junit5 runner found er(Facing no Junit5 runner found issue on Oxygen.3a Release (4.7.3a) while running Junit5 suite.)
Running Junit suite with Junit5 version in eclipse oxygen, throwing, "No Junit5 runner found er [message #1807561] Mon, 03 June 2019 12:18 Go to next message
Rahul Dave is currently offline Rahul DaveFriend
Messages: 4
Registered: June 2019
Junior Member
Hello,

I am trying to run the Junit suite using Junit5 like mentioned below, but while running it through eclipse, I am getting error like "No Junit5 runner found". I have also mentioned the maven dependencies below -

Test Suite :

import org.junit.platform.runner.JUnitPlatform;
import org.junit.platform.suite.api.SelectClasses;
import org.junit.runner.RunWith;

@RunWith(JUnitPlatform.class)
@SelectClasses({TestDataPathOrder.class,TestDataMappingOrders.class})

public class TestPackage
{
}

Maven Dependencies:

<properties>
<junit.version>5.4.2</junit.version>
<junit.platform.version>1.4.2</junit.platform.version>
</properties>

<dependencies>
<dependency>
<groupId>org.junit.jupiter</groupId>
<artifactId>junit-jupiter-engine</artifactId>
<version>${junit.version}</version>
</dependency>

<dependency>
<groupId>org.junit.vintage</groupId>
<artifactId>junit-vintage-engine</artifactId>
<version>${junit.version}</version>
</dependency>

<dependency>
<groupId>org.junit.platform</groupId>
<artifactId>junit-platform-launcher</artifactId>
<version>${junit.platform.version}</version>
</dependency>

<dependency>
<groupId>org.junit.platform</groupId>
<artifactId>junit-platform-runner</artifactId>
<version>${junit.platform.version}</version>
</dependency>
</dependencies>

On some threads, I found that this is the bug with eclipse(Bug 511183 and Bug 539000) and it will get resolved with eclipse oxygen 4.7.1.a but I have tried with Oxygen 4.7.3a, but still it is not working for me.

Please let me know in which eclipse version it will fixed OR is there any workaround available?
Re: Running Junit suite with Junit5 version in eclipse oxygen, throwing, "No Junit5 runner foun [message #1807564 is a reply to message #1807561] Mon, 03 June 2019 15:05 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30350
Registered: July 2009
Senior Member
As is suggested in the second Bug, you really ought to install a recent release such as 2019-03. No problem will ever be fixed via a update of Oxygen...
Re: Running Junit suite with Junit5 version in eclipse oxygen, throwing, "No Junit5 runner foun [message #1807632 is a reply to message #1807564] Wed, 05 June 2019 11:27 Go to previous messageGo to next message
Rahul Dave is currently offline Rahul DaveFriend
Messages: 4
Registered: June 2019
Junior Member
Thank you, Ed Merks for your reply.

I have installed Eclipse IDE Version:2019-03(4.11.0) as you have suggested, and tried running the suite in it, but still facing the same problem.
I have attached the screenshots for the eclipse version that I am using as well as the error which I am facing. Please suggest what should I do now?
Re: Running Junit suite with Junit5 version in eclipse oxygen, throwing, "No Junit5 runner foun [message #1807647 is a reply to message #1807632] Wed, 05 June 2019 14:24 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30350
Registered: July 2009
Senior Member
You've shown your maven dependencies but I don't really know how that actual sets up JDT's class path such that the launcher will find the right JUnit on the classpath. Perhaps it's better to ask on the JDT forum where folks are likely to have more expertise in such things.

https://www.eclipse.org/forums/index.php/f/13/
Re: Running Junit suite with Junit5 version in eclipse oxygen, throwing, "No Junit5 runner foun [message #1807698 is a reply to message #1807647] Thu, 06 June 2019 11:17 Go to previous message
Rahul Dave is currently offline Rahul DaveFriend
Messages: 4
Registered: June 2019
Junior Member
Thanks Ed Merks!

as you have suggested., I have posted this on JDT forum , waiting for the response...
Previous Topic:Delete commits from local repo in eclipse
Next Topic:Update of the Eclipse founder's edition not possible
Goto Forum:
  


Current Time: Sun Aug 18 03:12:39 GMT 2019

Powered by FUDForum. Page generated in 0.03345 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top